# WOK
TKWOK
WOKStep

# WOKStep_ProcessStep Class Reference

`#include <WOKStep_ProcessStep.hxx>`

Inheritance diagram for WOKStep_ProcessStep:

[legend]

## Public Member Functions

Standard_EXPORT void | TreatOutput (const Handle(WOKMake_InputFile)&input, const Handle(WOKBuilder_HSequenceOfEntity)&output)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | WOKStep_ProcessStep (const Handle(WOKMake_BuildProcess)&abp, const Handle(WOKernel_DevUnit)&aunit, const Handle(TCollection_HAsciiString)&acode, const Standard_Boolean checked, const Standard_Boolean hidden)
virtual Standard_EXPORT void | Init ()
virtual Standard_EXPORT Handle_TCollection_HAsciiString | ImplDepFileName () const
Standard_EXPORT Handle_TCollection_HAsciiString | GetUnitName (const Handle(TCollection_HAsciiString)&aincfile)
Standard_EXPORT void | GetKnownUnits ()
Standard_EXPORT const Handle_WOKMake_InputFile & | GetInputFileFromPath (const Handle(TCollection_HAsciiString)&apath)
Standard_EXPORT Handle_WOKUtils_HSequenceOfPath | ComputeIncDirectories () const
Standard_EXPORT Handle_WOKUtils_HSequenceOfPath | ComputeDatabaseDirectories () const

## Constructor & Destructor Documentation

Standard_EXPORT WOKStep_ProcessStep::WOKStep_ProcessStep | ( | const Handle(WOKMake_BuildProcess)& | abp,
|  | const Handle(WOKernel_DevUnit)& | aunit,
|  | const Handle(TCollection_HAsciiString)& | acode,
|  | const Standard_Boolean | checked,
|  | const Standard_Boolean | hidden
| ) | `[protected]`

## Member Function Documentation

Standard_EXPORT Handle_WOKUtils_HSequenceOfPath WOKStep_ProcessStep::ComputeDatabaseDirectories | ( |  | ) | const`[protected]`

Standard_EXPORT Handle_WOKUtils_HSequenceOfPath WOKStep_ProcessStep::ComputeIncDirectories | ( |  | ) | const`[protected]`

Standard_EXPORT const Handle_WOKMake_InputFile& WOKStep_ProcessStep::GetInputFileFromPath | ( | const Handle(TCollection_HAsciiString)& | apath | ) | `[protected]`

Standard_EXPORT void WOKStep_ProcessStep::GetKnownUnits | ( |  | ) | `[protected]`

Standard_EXPORT Handle_TCollection_HAsciiString WOKStep_ProcessStep::GetUnitName | ( | const Handle(TCollection_HAsciiString)& | aincfile | ) | `[protected]`

Standard_EXPORT const WOKStep_ProcessStep::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKMake_Step. Reimplemented in WOKOrbix_IDLCompile, WOKStep_CodeGenerate, and WOKStep_Compile.

virtual Standard_EXPORT Handle_TCollection_HAsciiString WOKStep_ProcessStep::ImplDepFileName | ( |  | ) | const`[protected, virtual]`

virtual Standard_EXPORT void WOKStep_ProcessStep::Init | ( |  | ) | `[protected, virtual]`

| Reimplemented from WOKMake_Step. Reimplemented in WOKOrbix_IDLCompile, WOKStep_CodeGenerate, and WOKStep_Compile.

Standard_EXPORT void WOKStep_ProcessStep::TreatOutput | ( | const Handle(WOKMake_InputFile)& | input,
|  | const Handle(WOKBuilder_HSequenceOfEntity)& | output
| ) |

The documentation for this class was generated from the following file:

- WOKStep_ProcessStep.hxx